Subject: Re: bug#79025: Indention falls apart when using C23 type feature on enum

From: Marcel Weißenbach <[email-masked]>
Date: Tue, 15 Jul 2025 15:08:42 +0000

"Eli Zaretskii" [email-masked] – 2025年7月15日 22:57
> > From: Marcel Weißenbach <[email-masked]>
> > Date: Tue, 15 Jul 2025 04:07:48 +0000
> > 
> > i assume something simple but
> >  
> > This here does work just fine
> >  
> > typedef enum _IgePlayerState {
> >     IGE_PLAYER_STATE_MOVEABLE,
> >     IGE_PLAYER_STATE_WHATVER,
> > }
> >  
> > This here no longer works
> >  
> > typedef enum _IgePlayerState : Uint8 {
> >         IGE_PLAYER_STATE_MOVEABLE,
> >                 IGE_PLAYER_STATE_WHATVER,
> >                 }
> >  
> >  
> >  
> 
> I cannot reproduce this. In what version of Emacs did you try it, and
> with what major mode?
> 
> IOW, would you mind providing a detailed recipe, starting from "emacs -Q",
> and telling us which version of Emacs are you using and on what OS?
> 
>
 
Hi there, thanks for the fast reply.
 
I am using Emacs 30.1 on Gentoo or better said, i just started using Emacs, so the error might be on my side as i am an very beginner.
 
All i do is type "emacs ." in the directory of the source and then select the .c (or .h) file and start working on it.
 
I attached the file that triggers this for me. When i go inside the enum and press tab in the later elements, it starts to indent them. I also attached my config.
 
When i remove the : Uint8, it no longer indents them.